dbXML API

## org.xmldb.api.tests
Class XMLDBTestCase

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--org.xmldb.api.tests.XMLDBTestCase

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  CollectionTest, ResourceTest

public class XMLDBTestCase
extends junit.framework.TestCase

Constructor Summary
`XMLDBTestCase(java.lang.String name)`

Method Summary
`void` `setUp()`
`void` `tearDown()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, name, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLDBTestCase

    public XMLDBTestCase(java.lang.String name)

Method Detail

### setUp

    public void setUp()
               throws java.lang.Exception

### tearDown

    public void tearDown()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved